/**
 * Задача 4.
 *
 * Создайте функцию `getDivisors`, которая принимает число в качестве аргумента.
 * Функция возвращает массив его делителей (чисел, на которое делится данное число начиная от 1 и заканчивая самим собой).
 *
 * Условия:
 * - Генерировать ошибку, если в качестве входного аргумента был передан не числовой тип;
 * - Генерировать ошибку, если в качестве входного аргумента был передано число меньшее, чем 1.
 * 
 * Заметки:
 * - В решении вам понадобится использовать цикл с перебором массива.
 */

// РЕШЕНИЕ
const getDivisors = function(num){
    if (typeof num !== "number" || isNaN(num) || num < 1)
        throw new Error('the num is not a number');
    
    let arr = [];
    for (let i = 1; i <= num; i++) {
        if (num % i === 0)
            arr.push(i);
    }
    console.log(arr);
}

getDivisors(12); // [1, 2, 3, 4, 6, 12]